OpenapiPool Management
Add new proxy
Add a new proxy to the pool.
Args: proxy_data: Proxy URL and optional credentials rotator: ProxyWhirl dependency api_key: API key verification
Returns: Created proxy resource
Authorization
APIKeyHeader X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/proxies" \ -H "Content-Type: application/json" \ -d '{ "password": "secret456", "url": "http://proxy.example.com:8080", "username": "user123" }'{
"data": {
"message": "Operation completed successfully"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-10-27T12:00:00Z",
"version": "1.0.0"
},
"status": "success"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}